From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 7 Dec 2021 16:52:09 +0100
Subject: hack: input: touchscreen: edt-ft5x06: silence data fetching error

print it as a warning instead for now.
---
 drivers/input/touchscreen/edt-ft5x06.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/input/touchscreen/edt-ft5x06.c b/drivers/input/touchscreen/edt-ft5x06.c
index c626540..d166725 100644
--- a/drivers/input/touchscreen/edt-ft5x06.c
+++ b/drivers/input/touchscreen/edt-ft5x06.c
@@ -228,7 +228,7 @@ static irqreturn_t edt_ft5x06_ts_isr(int irq, void *dev_id)
 					sizeof(cmd), &cmd,
 					datalen, rdbuf);
 	if (error) {
-		dev_err_ratelimited(dev, "Unable to fetch data, error: %d\n",
+		dev_warn_ratelimited(dev, "Unable to fetch data, error: %d\n",
 				    error);
 		// HACK: empty all slots on error
 		for (i = 0; i < tsdata->max_support_points; i++) {
